Bug 14280 - Add branches fields to discharges letters
Summary: Add branches fields to discharges letters
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-27 09:51 UTC by Matthias Meusburger
Modified: 2016-06-21 21:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14280: Add branches fields to discharges letters (2.22 KB, patch)
2015-05-27 09:54 UTC, Matthias Meusburger
Details | Diff | Splinter Review
[Signed-off] Bug 14280: Add branches fields to discharges letters (2.80 KB, patch)
2015-06-05 08:59 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 14280: Add branches fields to discharges letters (2.84 KB, patch)
2015-06-06 12:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Meusburger 2015-05-27 09:51:56 UTC
Currently, when generating a discharge letter, branches fields are not translated in the letter (<<branches.branchname>>, <<branches.branchaddress1>>, etc.)

This patch fixes that.
Comment 1 Matthias Meusburger 2015-05-27 09:54:00 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-06-05 08:59:58 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-06-06 12:47:14 UTC
Created attachment 39935 [details] [review]
[PASSED QA] Bug 14280: Add branches fields to discharges letters

Currently, when generating a discharge letter, branches fields are not translated in the letter (<<branches.branchname>>, <<branches.branchaddress1>>, etc.)
This patch fixes that.

How I tested:
- Set syspref 'useDischarge' to 'allow'
- Go to Home > Tools > Notices & Slips
- Edit DISCHARGE, add to 'Email message':
<p><<branches.branchname>><br />
<<branches.branchaddress1>><br />
<<branches.branchaddress2>><br />
<<branches.branchaddress3>><br />
<<branches.zip>> <<branches.city>><br />
</p>
- Go to detail page of a patron > discharge
- Click 'Generate discharge'
- Verify that the PDF contains the information above.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-06-11 17:40:07 UTC
Enhancement pushed to master.

Thanks Matthias!